<?php
namespace Incoviba\Common\Define;

use PDO;
use PDOStatement;

interface Connection
{
    public function connect(): Connection;
    public function query(string $query): PDOStatement;
    public function prepare(string $query): PDOStatement;
    public function execute(string $query, ?array $data = null): PDOStatement;
    public function getPDO(): PDO;
}
